Bug 853261 - Latest 686 version of java-1.7.0-openjdk-devel is no longer available via yum from (all?) mirrors
Latest 686 version of java-1.7.0-openjdk-devel is no longer available via yum...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 17:29 EDT by Xavier Hourcade
Modified: 2014-03-16 23:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:33:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failed transaction from above listing (2.28 KB, application/octet-stream)
2012-11-06 14:04 EST, Michael McTernan
no flags Details

  None (edit)
Description Xavier Hourcade 2012-08-30 17:29:39 EDT
Description of problem:

  Latest i686 package for openjdk-devel is no longer available to yum,
  from (all ?) mirrors. However :
  - from the same mirrors, rpm can be downloaded fine from HTTP client
  - from the same mirrors. x86_64 rpm is available to yum
  - from fedoraproject itself, both are available to yum

  Are the mirrors' repo.xml incomplete or corrupted ?
  I have seen this issue with all "usual" mirrors here (fastestmirror).

Version-Release number of selected component (if applicable):

  java-1.7.0-openjdk-devel-1.7.0.3-2.2.1.fc16.7.i686

How reproducible:

  Always, for a few weeks (months ?)

Steps to Reproduce:

  1) Disable mirrors, then
     # yum clean all && yum --showduplicates list *openjdk-devel*

  2) Enable mirrors, then
     # yum clean all && yum --showduplicates list *openjdk-devel*

Actual results:

  Latest i686 version of the package is not available to yum via mirrors

Expected results:

  Latest i686 version of the package is available to yum via mirrors

Additional Info:

  Usual mirrors here
  rpmfind.net, cica.es, uv.es, ...

  Installed Packages
  java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-67.1.11.3.fc16      @updates
  java-1.7.0-openjdk-devel.i686 1:1.7.0.3-2.2.1.fc16.7          @updates [1]
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.3-2.2.1.fc16.7        @updates

  Available Packages (mirrors disabled)
  java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-59.1.10.3.fc16      fedora
  java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-67.1.11.3.fc16      updates
  java-1.7.0-openjdk-devel.i686 1:1.7.0.0-0.1.20110803.1.fc16   fedora
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.0-0.1.20110803.1.fc16 fedora
  java-1.7.0-openjdk-devel.i686 1:1.7.0.3-2.2.1.fc16.7          updates  [2]
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.3-2.2.1.fc16.7        updates  [2]

  Available Packages (mirrors enabled)
  java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-59.1.10.3.fc16      fedora
  java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-67.1.11.3.fc16      updates
  java-1.7.0-openjdk-devel.i686 1:1.7.0.0-0.1.20110803.1.fc16   fedora
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.0-0.1.20110803.1.fc16 fedora
  java-1.7.0-openjdk-devel.x86_64 1:1.7.0.3-2.2.1.fc16.7        updates  [3]

  Notes
  [1] was installed via yum here on June 22 ...via mirrors I think
  [2] yum can still see both arch from repository at fedoraprojects
  [3] yum sees only x86_64 arch at mirrors for this version
Comment 1 Deepak Bhole 2012-09-10 15:26:28 EDT
I am not sure why i686 is even showing up on any of the mirrors. There should be no 32-bit java-1.6.0-* or java-1.7.0-* in the x86_64 repos.

Changing component to distribution.
Comment 2 Michael McTernan 2012-11-06 14:02:55 EST
Fedora 17 is also afflicted.

Not having equal updates for i686 and x86_64 can also trip the multilib checking:

$ sudo yum install java-1.7.0-openjdk-devel.i686
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, langpacks, presto
fedora/metalink                                                                                            |  33 kB     00:00     
fedora                                                                                                     | 4.2 kB     00:00     
google-chrome                                                                                              |  951 B     00:00     
updates/metalink                                                                                           |  21 kB     00:00     
updates                                                                                                    | 4.7 kB     00:00     
(1/2): fedora/primary_db                                                                                   |  14 MB     00:06     
(2/2): updates/primary_db                                                                                  | 6.7 MB     00:01     
google-chrome/primary                                                                                      | 1.4 kB     00:00     
fedora/group_gz                                                                                            | 434 kB     00:00     
updates/group_gz                                                                                           | 435 kB     00:00     
google-chrome                                                                                                                 3/3
Resolving Dependencies
--> Running transaction check
---> Package java-1.7.0-openjdk-devel.i686 1:1.7.0.3-2.1.fc17.6 will be installed
--> Processing Dependency: java-1.7.0-openjdk = 1:1.7.0.3-2.1.fc17.6 for package: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.i686
--> Processing Dependency: libjli.so(SUNWprivate_1.1) for package: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.i686
--> Processing Dependency: libjli.so for package: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.i686
--> Running transaction check
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.3-2.1.fc17.6 will be installed
---> Package java-1.7.0-openjdk.i686 1:1.7.0.9-2.3.3.fc17.1 will be installed
--> Finished Dependency Resolution
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing it that there is a problem. Eg.:
       
         1. You have an upgrade for java-1.7.0-openjdk which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of java-1.7.0-openjdk of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what).
       
         2. You have multiple architectures of java-1.7.0-openjdk installed, but
            yum can only see an upgrade for one of those arcitectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of java-1.7.0-openjdk installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: 1:java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6.x86_64 != 1:java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17.1.i686

$ yum --showduplicates list *openjdk-devel*
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, langpacks, presto
Available Packages
java-1.7.0-openjdk-devel.i686                                     1:1.7.0.3-2.1.fc17.6                                     fedora 
java-1.7.0-openjdk-devel.x86_64                                   1:1.7.0.3-2.1.fc17.6                                     fedora 
java-1.7.0-openjdk-devel.x86_64                                   1:1.7.0.9-2.3.3.fc17.1                                   updates


Parallel install of the old 1.7.0.3 version can be achieved with the following:

$ yum install --disable-repo=updates java-1.7.0-openjdk-devel.i686

However, subsequent yum updates of Java will fail:

yum update java*
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, langpacks, presto
No Match for argument: java-1.7.0-openjdk-1.7.0.3.x86_64
No package java-1.7.0-openjdk-1.7.0.3.x86_64 available.
Resolving Dependencies
--> Running transaction check
---> Package java-1.7.0-openjdk.i686 1:1.7.0.3-2.1.fc17.6 will be updated
--> Processing Dependency: java-1.7.0-openjdk = 1:1.7.0.3-2.1.fc17.6 for package: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.i686
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.3-2.1.fc17.6 will be updated
---> Package java-1.7.0-openjdk.i686 1:1.7.0.9-2.3.3.fc17.1 will be an update
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.9-2.3.3.fc17.1 will be an update
--> Running transaction check
---> Package java-1.7.0-openjdk-devel.i686 1:1.7.0.3-2.1.fc17.6 will be updated
---> Package java-1.7.0-openjdk-devel.x86_64 1:1.7.0.9-2.3.3.fc17.1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================
 Package                                 Arch                  Version                               Repository              Size
==================================================================================================================================
Updating:
 java-1.7.0-openjdk                      i686                  1:1.7.0.9-2.3.3.fc17.1                updates                 26 M
 java-1.7.0-openjdk                      x86_64                1:1.7.0.9-2.3.3.fc17.1                updates                 25 M
Updating for dependencies:
 java-1.7.0-openjdk-devel                x86_64                1:1.7.0.9-2.3.3.fc17.1                updates                9.1 M

Transaction Summary
==================================================================================================================================
Upgrade  2 Packages (+1 Dependent package)

Total size: 60 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
java-1.7.0-openjdk = 1:1.7.0.3-2.1.fc17.6 is needed by (installed) java-1.7.0-openjdk-devel-1:1.7.0.3-2.1.fc17.6.i686
java-1.7.0-openjdk = 1:1.7.0.3-2.1.fc17.6 is needed by (installed) java-1.7.0-openjdk-devel-1:1.7.0.3-2.1.fc17.6.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-11-06.18-57.gir0uX.yumtx
Comment 3 Michael McTernan 2012-11-06 14:04:50 EST
Created attachment 639506 [details]
Failed transaction from above listing
Comment 4 Fedora End Of Life 2013-01-16 11:09:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 14:34:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.